Room (CMDB Model API)
Keywords: com.collation.platform.model.topology.phys.Room interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.phys
Interface Room

All Superinterfaces:
  ConfigurationItem, Geography, ManagedElement, ManagedSystemElement, ModelObject, PhysicalElement, PhysicalLocation, Position, java.io.Serializable, SiteInfo

    public interface Room

extends SiteInfo

represents a specific physical room pertaining to a given site location such as a office cube area. Instances of Room can also represent a single room or cube location. Rooms as a physical presence are not as large as instances of Site. There is no rule as to the required physical size of a location to be considered a instance of Room, however instances of Room represent a room that is not geographically disperse.

Naming Rules:
  0="roomName,roomNumber" 3="geographyForSite,roomName,-roomNumber" 1="roomName,-roomNumber" 2="geographyForSite,roomName,roomNumber"
Persistable:
  true
Display Name:
  roomName

Field Summary
`static java.lang.String` | `IBM_COPYRIGHT`

Method Summary
`java.lang.String` | `getRoomName()` Description: The name of the room, as it is known to the organization.This could represent a room name as a common name or the room name as it is recorded by the real estate operations group for the organization.
`java.lang.String` | `getRoomNumber()` Description: Represents the number of the particular room, where the identity of a room requires more than a name.
`boolean` | `hasRoomName()`
`boolean` | `hasRoomNumber()`
`void` | `setRoomName(java.lang.String x)`
`void` | `setRoomNumber(java.lang.String x)`

Methods inherited from interface com.collation.platform.model.topology.admin.SiteInfo
`getCity, getContainerSiteForSite, getContainingSiteForSite, getFloor, getGeographyForSite, getName, getNote, getPostalCode, getRoom, getSiteName, getSiteNumber, getStateOrProvince, getStreetAddress, hasCity, hasContainerSiteForSite, hasContainingSiteForSite, hasFloor, hasGeographyForSite, hasName, hasNote, hasPostalCode, hasRoom, hasSiteName, hasSiteNumber, hasStateOrProvince, hasStreetAddress, setCity, setContainerSiteForSite, setContainingSiteForSite, setFloor, setGeographyForSite, setName, setNote, setPostalCode, setRoom, setSiteName, setSiteNumber, setStateOrProvince, setStreetAddress`

Methods inherited from interface com.collation.platform.model.topology.phys.Geography
`getCountry, getRegionName, getRegionNumber, getSiteGeography, hasCountry, hasRegionName, hasRegionNumber, hasSiteGeography, setCountry, setRegionName, setRegionNumber, setSiteGeography`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Methods inherited from interface com.collation.platform.model.topology.phys.Position
`getAisle, getAltitude, getRackPosition, getRow, getXCoordinate, getYCoordinate, hasAisle, hasAltitude, hasRackPosition, hasRow, hasXCoordinate, hasYCoordinate, setAisle, setAltitude, setRackPosition, setRow, setXCoordinate, setYCoordinate`

Methods inherited from interface com.collation.platform.model.topology.process.itil.ConfigurationItem
`getAssetID, getAssetTag, getCICategory, getConfigLastUpdate, getLastAuditState, getLastAuditTime, getLastLifecycleStateTime, getLifecycleState, getPrimaryOwner, hasAssetID, hasAssetTag, hasCICategory, hasConfigLastUpdate, hasLastAuditState, hasLastAuditTime, hasLastLifecycleStateTime, hasLifecycleState, hasPrimaryOwner, setAssetID, setAssetTag, setCICategory, setConfigLastUpdate, setLastAuditState, setLastAuditTime, setLastLifecycleStateTime, setLifecycleState, setPrimaryOwner`

Field Detail

### IBM_COPYRIGHT

    static final java.lang.String IBM_COPYRIGHT

See Also:
  Constant Field Values

Method Detail

### getRoomName

    java.lang.String getRoomName()
                                 throws AttributeNotSetException

  Description: The name of the room, as it is known to the organization.This could represent a room name as a common name or the room name as it is recorded by the real estate operations group for the organization. Standard Content Origin / Best Practice Content: Provide the room name or the resource instance. The content of this attribute should match to a obtainable room. Follow the best practices for the organization implementing this attribute Example: Breakroom 2 Unit of Measure: n/a Maximum length (or range): n/a

  Throws:
    `AttributeNotSetException`

### setRoomName

    void setRoomName(java.lang.String x)

### hasRoomName

    boolean hasRoomName()

### getRoomNumber

    java.lang.String getRoomNumber()
                                   throws AttributeNotSetException

  Description: Represents the number of the particular room, where the identity of a room requires more than a name. Standard Content Origin / Best Practice Content: To be used when there is additional need to quaifiy the identity of the room, where the name of the room is not unique within the environment. The content of this attribute should match to a valid room number for the organization. Example: 3F30 Unit of Measure: n/a Maximum length (or range): n/a

  Throws:
    `AttributeNotSetException`

### setRoomNumber

    void setRoomNumber(java.lang.String x)

### hasRoomNumber

    boolean hasRoomNumber()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD